org.apache.fop.fonts.base14

## Class HelveticaBold

- java.lang.Object
- - org.apache.fop.fonts.Typeface
  - - org.apache.fop.fonts.Base14Font
    - - org.apache.fop.fonts.base14.HelveticaBold

All Implemented Interfaces:
  FontMetrics

    public class HelveticaBold
    extends Base14Font

### Field Summary

### Fields inherited from class org.apache.fop.fonts.Typeface

`eventListener, NOT_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`HelveticaBold()`
`HelveticaBold(boolean enableKerning)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAscender(int size)` Returns the ascent of the font described by this FontMetrics object.
`Rectangle` `getBoundingBox(int glyphIndex, int size)` Returns the bounding box of the glyph at the given index, for the given font size.
`int` `getCapHeight(int size)` Returns the size of a capital letter measured from the font's baseline.
`int` `getDescender(int size)` Returns the descent of the font described by this FontMetrics object.
`String` `getEmbedFontName()` Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").
`String` `getEncodingName()` Get the encoding of the font.
`Set` `getFamilyNames()` Returns the font's family names as a Set of Strings (Example: "Helvetica").
`int` `getFirstChar()`
`String` `getFontName()` Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").
`FontType` `getFontType()` Returns the type of the font.
`URI` `getFontURI()` Returns the URI of the font file from which these metrics were loaded.
`String` `getFullName()` Returns the font's full name (Example: "Helvetica Bold Oblique").
`Map` `getKerningInfo()` Returns the kerning map for the font.
`int` `getLastChar()`
`int` `getUnderlinePosition(int size)` Returns the distance from the baseline to the center of the underline (negative value indicates below baseline).
`int` `getUnderlineThickness(int size)` Returns the thickness of the underline.
`int` `getWidth(int i, int size)` Return the width (in 1/1000ths of point size) of the character at code point i.
`int[]` `getWidths()` Return the array of widths.
`int` `getXHeight(int size)` Determines the typical font height of this FontMetrics object
`boolean` `hasChar(char c)` Determines whether this font contains a particular character/glyph.
`boolean` `hasKerningInfo()` Indicates if the font has kerning information.
`char` `mapChar(char c)` Map a Unicode character to a code point in the font.

### Methods inherited from class org.apache.fop.fonts.Base14Font

`getStrikeoutPosition, getStrikeoutThickness`

### Methods inherited from class org.apache.fop.fonts.Typeface

`getMaxAscent, hadMappingOperations, hasFeature, isCID, isMultiByte, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HelveticaBold

    public HelveticaBold()

#### HelveticaBold

    public HelveticaBold(boolean enableKerning)

### Method Detail

#### getEncodingName

    public String getEncodingName()

Description copied from class: `Typeface`
Get the encoding of the font.

Specified by:
  `getEncodingName` in class `Typeface`
Returns:
  the encoding

#### getFontURI

    public URI getFontURI()

Description copied from interface: `FontMetrics`
Returns the URI of the font file from which these metrics were loaded.

Returns:
  the font file's URI

#### getFontName

    public String getFontName()

Description copied from interface: `FontMetrics`
Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").

Returns:
  the font name

#### getEmbedFontName

    public String getEmbedFontName()

Description copied from interface: `FontMetrics`
Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").

Returns:
  the name for font embedding

#### getFullName

    public String getFullName()

Description copied from interface: `FontMetrics`
Returns the font's full name (Example: "Helvetica Bold Oblique").

Returns:
  the font's full name

#### getFamilyNames

    public Set getFamilyNames()

Description copied from interface: `FontMetrics`
Returns the font's family names as a Set of Strings (Example: "Helvetica").

Returns:
  the font's family names (a Set of Strings)

#### getFontType

    public FontType getFontType()

Description copied from interface: `FontMetrics`
Returns the type of the font.

Returns:
  the font type

#### getAscender

    public int getAscender(int size)

Description copied from interface: `FontMetrics`
Returns the ascent of the font described by this FontMetrics object. It returns the nominal ascent within the em box.

Parameters:
  `size` - font size
Returns:
  ascent in milliponts

#### getCapHeight

    public int getCapHeight(int size)

Description copied from interface: `FontMetrics`
Returns the size of a capital letter measured from the font's baseline.

Parameters:
  `size` - font size
Returns:
  height of capital characters

#### getDescender

    public int getDescender(int size)

Description copied from interface: `FontMetrics`
Returns the descent of the font described by this FontMetrics object.

Parameters:
  `size` - font size
Returns:
  descent in milliponts

#### getXHeight

    public int getXHeight(int size)

Description copied from interface: `FontMetrics`
Determines the typical font height of this FontMetrics object

Parameters:
  `size` - font size
Returns:
  font height in millipoints

#### getUnderlinePosition

    public int getUnderlinePosition(int size)

Description copied from interface: `FontMetrics`
Returns the distance from the baseline to the center of the underline (negative value indicates below baseline).

Parameters:
  `size` - font size
Returns:
  the position in 1/1000ths of the font size

#### getUnderlineThickness

    public int getUnderlineThickness(int size)

Description copied from interface: `FontMetrics`
Returns the thickness of the underline.

Parameters:
  `size` - font size
Returns:
  the thickness in 1/1000ths of the font size

#### getFirstChar

    public int getFirstChar()

#### getLastChar

    public int getLastChar()

#### getWidth

    public int getWidth(int i,
                        int size)

Description copied from interface: `FontMetrics`
Return the width (in 1/1000ths of point size) of the character at code point i.

Parameters:
  `i` - code point index
  `size` - font size
Returns:
  the width of the character

#### getBoundingBox

    public Rectangle getBoundingBox(int glyphIndex,
                                    int size)

Description copied from interface: `FontMetrics`
Returns the bounding box of the glyph at the given index, for the given font size.

Parameters:
  `glyphIndex` - glyph index
  `size` - font size
Returns:
  the scaled bounding box scaled in 1/1000ths of the given size

#### getWidths

    public int[] getWidths()

Description copied from interface: `FontMetrics`
Return the array of widths.

This is used to get an array for inserting in an output format. It should not be used for lookup.

Returns:
  an array of widths

#### hasKerningInfo

    public boolean hasKerningInfo()

Description copied from interface: `FontMetrics`
Indicates if the font has kerning information.

Returns:
  true if kerning is available.

#### getKerningInfo

    public Map getKerningInfo()

Description copied from interface: `FontMetrics`
Returns the kerning map for the font.

Returns:
  the kerning map

#### mapChar

    public char mapChar(char c)

Description copied from class: `Typeface`
Map a Unicode character to a code point in the font.

Specified by:
  `mapChar` in class `Typeface`
Parameters:
  `c` - character to map
Returns:
  the mapped character

#### hasChar

    public boolean hasChar(char c)

Description copied from class: `Typeface`
Determines whether this font contains a particular character/glyph.

Specified by:
  `hasChar` in class `Typeface`
Parameters:
  `c` - character to check
Returns:
  True if the character is supported, Falso otherwise